/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Sep 23 18:46:39 GMT 2001
    copyright            : (C) 2001 by M. Rechenburg
    email                : rechenburger@netcologne.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "mosixhistory.h"

int main(int argc, char *argv[]) {

  QApplication a(argc, argv);
  QTranslator tor( 0 );
  tor.load( QString("mosixhistory.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  MosixhistoryApp *mosixhistory=new MosixhistoryApp();
  a.setMainWidget(mosixhistory);

	QFont font("helvetica");
	font.setPixelSize(12);

  mosixhistory->setFont(font);
  mosixhistory->setGeometry(600,220,500,480);
  mosixhistory->resize(400, 550);

	if(argc==2) {
	  mosixhistory->neuwin(argv[1]);
		} else {
	  mosixhistory->neuwin();
	}
  mosixhistory->show();
  return a.exec();
}


