/***************************************************************************
                          resource.h  -  description
                             -------------------
    begin                : Tue May  8 18:01:05 GMT 2001
    copyright            : (C) 2001 by M. Rechenburg
    email                : rechenburger@netcologne.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef RESOURCE_H
#define RESOURCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


///////////////////////////////////////////////////////////////////
// resource.h  -- contains macros used for commands


///////////////////////////////////////////////////////////////////
// COMMAND VALUES FOR MENUBAR AND TOOLBAR ENTRIES


///////////////////////////////////////////////////////////////////
// File-menu entries
#define ID_FILE_NEW                 10020
#define ID_FILE_OPEN                10030
#define ID_FILE_SAVE                10050
#define ID_FILE_SAVE_AS             10060
#define ID_FILE_CLOSE               10070
#define ID_FILE_PRINT               10080
#define ID_FILE_QUIT                10100
///////////////////////////////////////////////////////////////////
// Edit-menu entries
#define ID_EDIT_UNDO                11010
#define ID_EDIT_REDO                11020
#define ID_EDIT_COPY                11030
#define ID_EDIT_CUT                 11040
#define ID_EDIT_PASTE               11050
#define ID_EDIT_SELECT_ALL          11060
///////////////////////////////////////////////////////////////////
// View-menu entries                    
#define ID_VIEW_TOOLBAR             12010
#define ID_VIEW_STATUSBAR           12020
#define ID_CONFIG					          12030
#define ID_REFRESH				          12040
#define ID_STAT						          12050
#define ID_LOAD						          12060
#define ID_PROCS					          12070
///////////////////////////////////////////////////////////////////
// Help-menu entries
#define ID_HELP_HELP	              1002
#define ID_HELP_ABOUT               1003
///////////////////////////////////////////////////////////////////
// General application values
#define IDS_APP_ABOUT								"MOSIXHISTORY\nVersion " VERSION \
                                    "\n(w) 2001 by M. Rechenburg" \
                                    "\nrechenburger@netcologne.de\n"
#define IDS_APP_HELP								"HOWTO use the MOSIXHISTORY"

#define IDS_STATUS_DEFAULT          "Ready."
#endif // RESOURCE_H
