/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat Aug 18 17:37:09 GMT 2001
    copyright            : (C) 2001 by M. Rechenburg
    email                : rechenburger@netcologne.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "mosixload.h"

int main(int argc, char *argv[]) {

  QApplication a(argc, argv);
  QTranslator tor( 0 );
  tor.load( QString("mosixload.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  MosixloadApp *mosixload=new MosixloadApp();
  a.setMainWidget(mosixload);

	QFont font("helvetica");
	font.setPixelSize(12);
	mosixload->setFont(font);
	mosixload->resize(660, 435);
  mosixload->setGeometry(300, 400, 660, 435);

	if(argc==2) {
	  mosixload->analyze(argv[1]);
		} else {
		mosixload->analyze();
	}
  mosixload->show();
  return a.exec();
}


