/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Sep 10 17:39:57 GMT 2001
    copyright            : (C) 2001 by M. Rechenburg
    email                : rechenburger@netcologne.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "mosixmem.h"

int main(int argc, char *argv[]) {

  QApplication a(argc, argv);
  QTranslator tor( 0 );
  tor.load( QString("mosixmem.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  MosixmemApp *mosixmem=new MosixmemApp();
  a.setMainWidget(mosixmem);

	QFont font("helvetica");
	font.setPixelSize(12);

  mosixmem->setFont(font);
  mosixmem->resize(660, 435);
  mosixmem->setGeometry(300, 400, 660, 435);

	if(argc==2) {
	  mosixmem->analyze(argv[1]);
		} else {
	  mosixmem->analyze();
	}
  mosixmem->show();
  return a.exec();
}


