/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Jun 26 16:06:00 GMT 2001
    copyright            : (C) 2001 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>
#include <qlabel.h>


#include "mosixview.h"

#include "mosixview_intro.xpm"


	QLabel  *QLabel_intro;

int main(int argc, char *argv[])	{

	if (argc != 1)	{
        printf("USAGE \n%s \n",  argv[0]);
        printf("%s -style=motif\n",  argv[0]);
        printf("%s -style=motifplus\n",  argv[0]);
        printf("%s -style=cde\n",  argv[0]);
        printf("%s -style=sgi\n",  argv[0]);
        printf("%s -style=platinum\n",  argv[0]);
        printf("%s -style=windows\n",  argv[0]);
        printf("%s -help\n",  argv[0]);
        printf("%s --help\n",  argv[0]);
        printf("\n\nMOSIXVIEW\n");
        printf("\nVisit http://www.waplocater.de/mosixview/ for documentation/howto/faq on MOSIXVIEW");
        printf("\nor open the html-documentation in your MOSIXVIEW-installation directory");
        printf("\n(e.g. /usr/local/mosixview/mosixview/docs/en/index.html depending on your installation)");
        printf("\n\nIf you have problems with MOSIXVIEW or found a bug please report it per mail to:");
        printf("\nhttp://lists.sourceforge.net/lists/listinfo/mosixview-user or directly to me");
        printf("\n(rechenburger@netcologne.de)");
        printf("\n");
        printf("\nI hope that you have fun with it\nM. Rechenburg");
        printf("\n\n\n");
	}

  QApplication a(argc, argv);
	QPixmap intro;
	intro= QPixmap(mosixview_intro_xpm);
  QLabel_intro= new QLabel(0,"NoName");
  QLabel_intro->setGeometry(20,50,500,130);
  QLabel_intro->setMinimumSize(0,0);
  QLabel_intro->setBackgroundPixmap(QPixmap(intro));
  QLabel_intro->setFrameStyle( QFrame::Panel | QFrame::Sunken );
  QLabel_intro->show();

  QTranslator tor( 0 );
  tor.load( QString("mosixview.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  MosixviewApp *mosixview=new MosixviewApp();
  a.setMainWidget(mosixview);

	QFont font("helvetica");
	font.setPixelSize(12);
  mosixview->setFont(font);
  mosixview->setGeometry(20,220,500,480);
  mosixview->resize(740, 350);
  mosixview->setupQuit();
  mosixview->show();
  QTimer::singleShot( 2000, QLabel_intro, SLOT(hide()) );
  return a.exec();
}


