/***************************************************************************
                          avarage_mem.cpp  -  description
                             -------------------
    begin                : Mon Sep 10 2001
    copyright            : (C) 2001 by M. Rechenburg
    email                : rechenburger@netcologne.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "avarage_mem.h"
#include "ende.xpm"




avarage_mem::avarage_mem(QWidget *parent, const char *name ) : QWidget(parent,name) {

	QPixmap end;
	end = QPixmap(ende);

  ueberschrift1= new QLabel(this,"NoName");
  ueberschrift1->setGeometry(10,0,85,20);
  ueberschrift1->setMinimumSize(0,0);
  ueberschrift1->setText("Mem avarage=");
  ueberschrift1->setMargin(0);
  ueberschrift1->setAlignment( AlignVCenter | AlignCenter );

  ueberschrift2= new QLabel(this,"NoName");
  ueberschrift2->setGeometry(115,0,10,20);
  ueberschrift2->setMinimumSize(0,0);
  ueberschrift2->setText("%");
  ueberschrift2->setMargin(0);
  ueberschrift2->setAlignment( AlignVCenter | AlignCenter );

  label_avarage2= new QLabel(this,"NoName");
  label_avarage2->setGeometry(10,150,10,20);
  label_avarage2->setMinimumSize(0,0);
  label_avarage2->setText("0");
  label_avarage2->setMargin(0);

  close1= new QPushButton(end, "NoName", this);
  close1->setGeometry(65,175,60,20);
  close1->setMinimumSize(0,0);
  close1->setText("quit");
	QObject::connect(close1, SIGNAL(clicked()), this, SLOT(close_avarage()) );

}



avarage_mem::~avarage_mem(){
}






void avarage_mem::paintEvent(QPaintEvent *) {

	int nummerint=0;
	int nummerint1=0;
	int nummerint2=0;
	FILE *zahl2;
	const char *cwhich;
	cwhich = new char[50];
	const char *zehn;
	zehn = new char[4];
	char *temp;
	temp = new char[50];
  int j=0;
  int summe=0;
  int mittelwert=0;
	char *cmittel;
	cmittel = new char[4];

	QPainter p(this);
	cwhich = this->name();

	p.setWindow(0, 0, 130, 150);
	p.setPen(Qt::black);
	p.moveTo(35, 120);

	for(int i=120;i>=20; i--) {
		p.lineTo(35, i);
	}
	p.moveTo(35, 120);

	for(int i=35;i<=110; i++) {
		p.lineTo(i, 120);
	}

	for(int i=120;i>=20; i=i-10) {
		p.moveTo(30, i);
		p.lineTo(35, i);
	}

	if((zahl2=fopen(cwhich, "r")) == NULL) {
		printf("could not open mosix data information file %s\n", cwhich);
		} else {

		while( (!feof(zahl2))&&(j<21600) ) {
			fscanf(zahl2, "%d %d %d", &nummerint, &nummerint1, &nummerint2);

			if(nummerint2>0) {
				summe=summe+((nummerint2-nummerint)*100)/nummerint2;
			}
			j=j+1;
		}
		fclose(zahl2);
		mittelwert=summe/j;

    QBrush   brush(black);
    QBrush   brush1(white);
    QBrush   brush2(yellow);
    QBrush   brush3(red);
    p.setBrush(brush1);
		p.drawRect(50, 20, 60, 100);
    p.setBrush(brush);
		if(nummerint2>0) {

			if(mittelwert>(nummerint2/2)) {
		    p.setBrush(brush2);
			}

			if(mittelwert>((nummerint2/4)*3)) {
		    p.setBrush(brush3);
			}
		}

		p.drawRect(50, 120-mittelwert, 60, mittelwert);

	  label_avarage1= new QLabel(this,"NoName");
	  label_avarage1->setGeometry(0,20,25,20);
	  label_avarage1->setMinimumSize(0,0);
	  label_avarage1->setNum(nummerint2);
	  label_avarage1->setMargin(1);
	  label_avarage1->show();

	  unterschrift1= new QLabel(this,"NoName");
	  unterschrift1->setGeometry(95,0,20,20);
	  unterschrift1->setMinimumSize(0,0);
	  unterschrift1->setNum(mittelwert);
	  unterschrift1->setMargin(0);
	  unterschrift1->setAlignment( AlignVCenter | AlignCenter );
	  unterschrift1->show();
	}

}





void avarage_mem::close_avarage() {

	delete this;
}

































