/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fri Jul  6 19:44:05 GMT 2001
    copyright            : (C) 2001 by M. Rechenburg
    email                : rechenburger@netcologne.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "mosixview_client.h"

int main(int argc, char *argv[]) {

  QApplication a(argc, argv);
  QTranslator tor( 0 );
  tor.load( QString("mosixview_client.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  Mosixview_clientApp *mosixview_client=new Mosixview_clientApp();
  a.setMainWidget(mosixview_client);

	QFont font("helvetica");
	font.setPixelSize(12);
  mosixview_client->setFont(font);
  mosixview_client->setGeometry(600,220,500,480);
  mosixview_client->resize(350, 420);
  mosixview_client->setupQuit();
  mosixview_client->show();
  return a.exec();
}


